<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateFireStationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('fireStations', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name', 45);
            $table->integer('number');
            $table->string('voivodeship', 45);
            $table->string('county', 45);
            $table->string('community', 45);
            $table->string('postOffice', 45);
            $table->string('zipCode', 6);
            $table->string('address', 45);
            $table->float('latitude', 9,5);
            $table->float('longitude', 9,5);
            $table->string('KRS', 10);
            $table->string('NIP', 10);
            $table->string('phoneNumber', 11);
            $table->string('email', 100);
            $table->integer('deleted')->default(0);
            $table->integer('creatorID')->nullable()->default(null);
            $table->integer('changingID')->nullable()->default(null);
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('fireStations');
    }
}
